# opentl::input::WindowsCMU1394Camera Class Reference

Concrete class implementing the Camera interface for Firewire cameras. More...

Inherits opentl::input::FirewireCamera.

List of all members.

## Public Member Functions
virtual void | captureNext ()
| capture the next image from the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | captureStart ()
| start the capturing process of the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | captureStop ()
| stop the capturing process of the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | close ()
| closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | getCaptureParameters (int &width, int &height, opentl::core::cvdata::Image::ColorChannels &channels, opentl::core::cvdata::Image::BitsPerChannel &bpc)
| Returns the current capture parameters. Hint: open() needs to be called in advance.
virtual const opentl::core::cvdata::Image & | image ()
| returns current frame
virtual void | init ()
| initializes the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | open ()
| opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
void | selectCamera (int index)
| Select the camera with the specified index.
| WindowsCMU1394Camera ()
| Initializes the members of the WindowsCMU1394Camera object.
virtual | ~WindowsCMU1394Camera ()
| Delete the allocated Image Frame Objects.
## Static Public Member Functions
static int | getNumberOfWindowsCMU1394Cameras ()
| Return the number of connected Firewire cameras, accessible by this driver.
## Protected Member Functions
virtual void | onlineParameterChangedCallBack (unsigned int param)

## Detailed Description

Concrete class implementing the Camera interface for Firewire cameras.

Author:
  Martin Wojtczyk <wojtczyk@in.tum.de>

WindowsCMU1394Camera implements the Camera interface for Firewire cameras on Windows platforms and is based on the open source CMU1394 driver.

## Constructor & Destructor Documentation

opentl::input::WindowsCMU1394Camera::WindowsCMU1394Camera | ( |  | ) |

Initializes the members of the WindowsCMU1394Camera object.

virtual opentl::input::WindowsCMU1394Camera::~WindowsCMU1394Camera | ( |  | ) | `[virtual]`

Delete the allocated Image Frame Objects.

## Member Function Documentation

virtual void opentl::input::WindowsCMU1394Camera::captureNext | ( |  | ) | `[virtual]`

capture the next image from the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::WindowsCMU1394Camera::captureStart | ( |  | ) | `[virtual]`

start the capturing process of the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::WindowsCMU1394Camera::captureStop | ( |  | ) | `[virtual]`

stop the capturing process of the image sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::WindowsCMU1394Camera::close | ( |  | ) | `[virtual]`

closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::AbstractSensor.

virtual void opentl::input::WindowsCMU1394Camera::getCaptureParameters | ( | int & | width,
|  | int & | height,
|  | opentl::core::cvdata::Image::ColorChannels & | channels,
|  | opentl::core::cvdata::Image::BitsPerChannel & | bpc |
| ) |  |  | `[virtual]`

Returns the current capture parameters. Hint: open() needs to be called in advance.

Implements opentl::input::FirewireCamera.

static int opentl::input::WindowsCMU1394Camera::getNumberOfWindowsCMU1394Cameras | ( |  | ) | `[static]`

Return the number of connected Firewire cameras, accessible by this driver.

virtual const opentl::core::cvdata::Image& opentl::input::WindowsCMU1394Camera::image | ( |  | ) | `[virtual]`

returns current frame

Reimplemented from opentl::input::ImageSensor.

virtual void opentl::input::WindowsCMU1394Camera::init | ( |  | ) | `[virtual]`

initializes the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::AbstractSensor.

virtual void opentl::input::WindowsCMU1394Camera::onlineParameterChangedCallBack | ( | unsigned int | param | ) | `[protected, virtual]`

Reimplemented from opentl::core::util::ParameterContainer.

virtual void opentl::input::WindowsCMU1394Camera::open | ( |  | ) | `[virtual]`

opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented from opentl::input::AbstractSensor.

void opentl::input::WindowsCMU1394Camera::selectCamera | ( | int | index | ) |

Select the camera with the specified index.